package kd.hrmp.hbjm.business.utils;

import kd.bos.orm.query.QFilter;
import kd.hr.hbp.common.constants.HRBaseConstants;
import kd.hr.hbp.common.constants.newhismodel.HisFieldNameConstants;

/**
 * @author rd_kaifan_chen
 * @description:职位QFilter创建
 * @date 2023/03/09 16:41
 */
public class QFilterCreatorUtils {

    public static QFilter createCurrentVersionFilter() {
        return new QFilter(HisFieldNameConstants.IS_CURRENT_VERSION, QFilter.equals, HRBaseConstants.STR_ONE);
    }

    public static QFilter createHisVersionFilter() {
        return new QFilter(HisFieldNameConstants.IS_CURRENT_VERSION, QFilter.equals, HRBaseConstants.STR_ZERO);
    }
}
